from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.transactions.refunds.list(transaction_id="7099948d-7286-47e4-aad8-b68f7eb44591")
# Handle response
print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.transactions.refunds.list("7099948d-7286-47e4-aad8-b68f7eb44591");
console.log(result);
}
run();
from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.transactions.refunds.list(transaction_id="7099948d-7286-47e4-aad8-b68f7eb44591")
# Handle response
print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.transactions.refunds.list("7099948d-7286-47e4-aad8-b68f7eb44591");
console.log(result);
}
run();
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Wpay","colors":{"primary":"#00C9A5","light":"#00EDC3","dark":"#00A386"},"logo":{"light":"https://mintcdn.com/wpay/RxgiaZJ07iWfuxu1/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=RxgiaZJ07iWfuxu1\u0026q=85\u0026s=cb82dd605dec38c5aba3a686efd15768","dark":"https://mintcdn.com/wpay/RxgiaZJ07iWfuxu1/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=RxgiaZJ07iWfuxu1\u0026q=85\u0026s=79c20e51677b4e6b6710244059cfe3e0"},"favicon":"https://mintcdn.com/wpay/c50rx3S48hHhNNxb/assets/favicon.png?fit=max\u0026auto=format\u0026n=c50rx3S48hHhNNxb\u0026q=85\u0026s=041391ae1502802b2029a347236e6a77","api":{"playground":{"display":"simple"},"examples":{"defaults":"required","languages":["csharp","go","java","php","python","javascript","curl"]},"mdx":{"auth":{"method":"bearer"},"server":["https://api.sandbox.{gr4vy_id}.gr4vy.app","https://api.{gr4vy_id}.gr4vy.app"]}},"navbar":{"links":[{"href":"https://wpay.io/","label":"About"},{"href":"https://developerhub.wpay.com.au/","label":"Documentation Hub"}],"primary":{"type":"button","label":"Contact","href":"https://wpay.io/contact/"}},"footer":{"socials":{"website":"https://wpay.io","linkedin":"https://www.linkedin.com/company/wpay"}},"styling":{"eyebrows":"breadcrumbs","codeblocks":"system","latex":true},"integrations":{"gtm":{"tagId":"G-9CX4E9QWKQ"}},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"wpay","hasAudioNarration":false,"actualSubdomain":"wpay","customDomains":["integration.wpay.com.au"],"gitSource":{"type":"github","owner":"gr4vy","repo":"wpay-docs-mintlify","deployBranch":"main","contentDirectory":"","mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ada21de25e5b97c6369afee","collectionId":"b6837f8c-bd5e-4f1b-b0fc-b7fc430c7c5a","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ada21de25e5b97c6369afee"},"feedback":{"thumbs":true,"edits":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ada21de25e5b97c6369afee","clientVersion":"0.0.3965","searchFilterCounts":[{"language":"default","tag":"Build","count":175},{"language":"default","tag":"API Reference","count":146},{"language":"default","tag":"Integration guides","count":93},{"language":"default","tag":"Features","count":73},{"language":"default","tag":"Embed","count":38},{"language":"default","tag":"Other","count":31},{"language":"default","tag":"PSPs \u0026 Gateways","count":25},{"language":"default","tag":"Instruments","count":20},{"language":"default","tag":"Vault","count":18},{"language":"default","tag":"E-commerce Plugins","count":15}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#navbar>div{background-color:#3a4850!important}#navbar a{color:#fff}.nav-tabs svg{background-color:#fff!important}#navbar img:nth-child(2){display:none}#navbar img:nth-child(3){display:block}.payment-service-definition{background-color:#fff!important;border:1px solid #0a0e0d1a;border-radius:16px;padding:2em;vertical-align:middle}.payment-service-definition img{margin:0 1em 0 0;max-width:3em;display:inline-block}.payment-service-definition h2{margin:0;display:inline-block;position:relative;top:.1em}#sidebar-title{text-transform:uppercase}#sidebar-group .group{flex-direction:row-reverse}#footer .max-w-36{max-width:40rem}"}],"page":{"pagePath":"reference/transactions/list-transaction-refunds","slug":"/reference/transactions/list-transaction-refunds","pageMetadata":{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/refunds","title":"List transaction refunds","description":"List refunds for a transaction.","href":"/reference/transactions/list-transaction-refunds"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"List refunds for a transaction.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_components.p,{children:[`This endpoint requires the `,_jsx(_components.code,{children:`transactions.read`}),` scope.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/refunds","title":"List transaction refunds","description":"List refunds for a transaction.","href":"/reference/transactions/list-transaction-refunds"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Refunds"],"summary":"List transaction refunds","description":"List refunds for a transaction.","operationId":"list_transaction_refunds","parameters":["6791ded4-ec32-4cfb-8163-0ca15b8bac93","883bb1cc-800d-49b3-8439-2decd29034cc"],"responses":{"200":"48418b54-a433-41a2-b00b-625146e2acd4","400":"09711406-d3cb-49fb-9789-b5a54161a086","401":"4faacc07-eaf2-4516-9dc1-6372eca54d4f","403":"b5d1a565-0e85-46ee-9174-5f9a37fa6dfa","404":"d3db5bf2-fe33-4f4f-bd2a-2ec4d671f4cd","405":"eef97b9e-3764-4ec6-b3ca-907c18e0ccaa","409":"92cd0330-c276-4965-aa09-a2745461671c","422":"94554657-bbe5-46b3-b6d7-4116cab0585b","425":"699aa138-95ea-40f0-9350-0502376140d9","429":"32d07823-b6d7-4fc9-91cf-4f7ed68b83a7","500":"3d25453d-2414-477f-916f-5cef1f8f9388","502":"0b0ebda0-53d2-4f6b-a0fe-9376bd460f5d","504":"4fc555da-44af-4488-90bc-3bfa11e637f1"},"x-speakeasy-name-override":"list","x-speakeasy-group":"transactions.refunds","x-speakeasy-retries":{"strategy":"backoff","backoff":{"initialInterval":200,"maxInterval":200,"maxElapsedTime":1000,"exponent":1},"statusCodes":["5XX"],"retryConnectionErrors":true},"x-codeSamples":[{"lang":"go","label":"Go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vygo.New(\n gr4vygo.WithMerchantAccountID(\"default\"),\n gr4vygo.WithSecurity(os.Getenv(\"GR4VY_BEARER_AUTH\")),\n )\n\n res, err := s.Transactions.Refunds.List(ctx, \"7099948d-7286-47e4-aad8-b68f7eb44591\", nil)\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n // handle response\n }\n}"},{"lang":"javascript","label":"TypeScript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.transactions.refunds.list(\"7099948d-7286-47e4-aad8-b68f7eb44591\");\n\n console.log(result);\n}\n\nrun();"},{"lang":"java","label":"Java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.ListTransactionRefundsResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .merchantAccountId(\"default\")\n .bearerAuth(System.getenv().getOrDefault(\"BEARER_AUTH\", \"\"))\n .build();\n\n ListTransactionRefundsResponse res = sdk.transactions().refunds().list()\n .transactionId(\"7099948d-7286-47e4-aad8-b68f7eb44591\")\n .call();\n\n if (res.refunds().isPresent()) {\n System.out.println(res.refunds().get());\n }\n }\n}"},{"lang":"python","label":"Python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n id=\"example\",\n server=\"sandbox\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.transactions.refunds.list(transaction_id=\"7099948d-7286-47e4-aad8-b68f7eb44591\")\n\n # Handle response\n print(res)"},{"lang":"csharp","label":"C#","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nvar res = await sdk.Transactions.Refunds.ListAsync(transactionId: \"7099948d-7286-47e4-aad8-b68f7eb44591\");\n\n// handle response"},{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n\n\n$response = $sdk->transactions->refunds->list(\n transactionId: '7099948d-7286-47e4-aad8-b68f7eb44591'\n);\n\nif ($response->refunds !== null) {\n // handle response\n}"}],"method":"get","type":"path","servers":["228955a6-938a-4479-aef0-99d33c615a8d","edefad13-c6d7-4491-8f9f-2da052551c7c"],"security":["62c335af-efa4-4302-9a4d-17c3154581fa"],"path":"/transactions/{transaction_id}/refunds","baseUrlOptions":["https://api.sandbox.{id}.gr4vy.app","https://api.{id}.gr4vy.app"],"title":"List transaction refunds","codeSamples":[{"label":"Go","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vygo.New(\n gr4vygo.WithMerchantAccountID(\"default\"),\n gr4vygo.WithSecurity(os.Getenv(\"GR4VY_BEARER_AUTH\")),\n )\n\n res, err := s.Transactions.Refunds.List(ctx, \"7099948d-7286-47e4-aad8-b68f7eb44591\", nil)\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n // handle response\n }\n}"},{"label":"TypeScript","lang":"javascript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.transactions.refunds.list(\"7099948d-7286-47e4-aad8-b68f7eb44591\");\n\n console.log(result);\n}\n\nrun();"},{"label":"Java","lang":"java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.ListTransactionRefundsResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .merchantAccountId(\"default\")\n .bearerAuth(System.getenv().getOrDefault(\"BEARER_AUTH\", \"\"))\n .build();\n\n ListTransactionRefundsResponse res = sdk.transactions().refunds().list()\n .transactionId(\"7099948d-7286-47e4-aad8-b68f7eb44591\")\n .call();\n\n if (res.refunds().isPresent()) {\n System.out.println(res.refunds().get());\n }\n }\n}"},{"label":"Python","lang":"python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n id=\"example\",\n server=\"sandbox\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.transactions.refunds.list(transaction_id=\"7099948d-7286-47e4-aad8-b68f7eb44591\")\n\n # Handle response\n print(res)"},{"label":"C#","lang":"csharp","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nvar res = await sdk.Transactions.Refunds.ListAsync(transactionId: \"7099948d-7286-47e4-aad8-b68f7eb44591\");\n\n// handle response"},{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n\n\n$response = $sdk->transactions->refunds->list(\n transactionId: '7099948d-7286-47e4-aad8-b68f7eb44591'\n);\n\nif ($response->refunds !== null) {\n // handle response\n}"}],"requestExampleLanguages":["csharp","go","java","php","python","javascript","bash"],"requiredOnlyExamples":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"6791ded4-ec32-4cfb-8163-0ca15b8bac93":{"name":"transaction_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","description":"The ID of the transaction","examples":["7099948d-7286-47e4-aad8-b68f7eb44591"],"title":"Transaction Id","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"},"description":"The ID of the transaction"},"883bb1cc-800d-49b3-8439-2decd29034cc":{"name":"x-gr4vy-merchant-account-id","in":"header","required":false,"schema":{"oneOf":[{"type":"string","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"The ID of the merchant account to use for this request.","x-speakeasy-name-override":"merchantAccountId"}},"responses":{"48418b54-a433-41a2-b00b-625146e2acd4":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"items":{"items":{"properties":{"id":{"type":"string","format":"uuid","title":"Id","description":"The unique identifier for the refund.","examples":["6a1d4e46-14ed-4fe1-a45f-eff4e025d211"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"transaction_id":{"type":"string","format":"uuid","title":"Transaction Id","description":"The ID of the transaction associated with this refund.","examples":["7099948d-7286-47e4-aad8-b68f7eb44591"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].transaction_id","typeLabel":"string\u003cuuid>"},"status":{"description":"The status of the refund.","examples":["succeeded"],"type":"string","enum":["processing","succeeded","failed","declined","voided"],"title":"RefundStatus","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"\\items.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"currency":{"type":"string","pattern":"^[A-Z]{3}$","title":"Currency","description":"The ISO 4217 currency code for this refund. Will always match that of the associated transaction.","examples":["EUR","GBP","USD"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].currency","typeLabel":"string"},"amount":{"type":"integer","maximum":99999999,"minimum":0,"title":"Amount","description":"The amount of this refund, in the smallest currency unit (for example, cents or pence).","examples":[1299],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].amount","typeLabel":"integer"},"target_type":{"description":"The type of the instrument that was refunded.","examples":["payment-method"],"type":"string","enum":["payment-method","gift-card-redemption"],"title":"RefundTargetType","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"\\items.items.[INDEX].target_type","typeLabel":"enum\u003cstring>"},"reconciliation_id":{"type":"string","title":"Reconciliation Id","description":"The base62 encoded refund ID. This represents a shorter version of this refund's `id` which is sent to payment services, anti-fraud services, and other connectors. You can use this ID to reconcile a payment service's refund against our system.","examples":["7jZXl4gBUNl0CnaLEnfXbt"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].reconciliation_id","typeLabel":"string"},"transaction_reconciliation_id":{"type":"string","title":"Transaction Reconciliation Id","description":"The base62 encoded transaction ID. This represents a shorter version of the related transaction's `id` which is sent to payment services, anti-fraud services, and other connectors. You can use this ID to reconcile a payment service's transaction against our system.","examples":["aLEnfXbt7jZXl4gBUNl0Cn"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].transaction_reconciliation_id","typeLabel":"string"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"The date this refund was created at.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","description":"The date this refund was last updated at.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"settled":{"type":"boolean","title":"Settled","description":"Indicates whether this refund has been settled.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].settled","typeLabel":"boolean"},"type":{"type":"string","const":"refund","title":"Type","description":"Always `refund`.","default":"refund","examples":["refund"],"uniqueKey":"\\items.items.[INDEX].type","typeLabel":"string"},"payment_service_refund_id":{"oneOf":[{"type":"string","title":"Payment Service Refund Id","description":"The payment service's unique ID for the refund.","maxLength":300,"minLength":1,"example":"refund_xYqd43gySMtori","uniqueKey":"\\items.items.[INDEX].payment_service_refund_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Payment Service Refund Id","description":"The payment service's unique ID for the refund.","example":"refund_xYqd43gySMtori","uniqueKey":"\\items.items.[INDEX].payment_service_refund_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].payment_service_refund_id","typeLabel":"string | null"},"reason":{"oneOf":[{"type":"string","title":"Reason","description":"The reason for this refund. Could be a multiline string.","example":"Refund due to user request.","uniqueKey":"\\items.items.[INDEX].reason.oneOf.0","typeLabel":"string"},{"type":"null","title":"Reason","description":"The reason for this refund. Could be a multiline string.","example":"Refund due to user request.","uniqueKey":"\\items.items.[INDEX].reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].reason","typeLabel":"string | null"},"target_id":{"oneOf":[{"type":"string","title":"Target Id","description":"The optional ID of the instrument that was refunded. This may be `null` if the instrument was not stored.","format":"uuid","example":"07e70d14-a0c0-4ff5-bd4a-509959af0e4d","uniqueKey":"\\items.items.[INDEX].target_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Target Id","description":"The optional ID of the instrument that was refunded. This may be `null` if the instrument was not stored.","example":"07e70d14-a0c0-4ff5-bd4a-509959af0e4d","uniqueKey":"\\items.items.[INDEX].target_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].target_id","typeLabel":"string\u003cuuid> | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"An external identifier that can be used to match the refund against your own records.","example":"refund-12345","uniqueKey":"\\items.items.[INDEX].external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"An external identifier that can be used to match the refund against your own records.","example":"refund-12345","uniqueKey":"\\items.items.[INDEX].external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].external_identifier","typeLabel":"string | null"},"transaction_external_identifier":{"oneOf":[{"type":"string","title":"Transaction External Identifier","description":"An external identifier that can be used to match the transaction against your own records.","example":"transaction-12345","uniqueKey":"\\items.items.[INDEX].transaction_external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"Transaction External Identifier","description":"An external identifier that can be used to match the transaction against your own records.","example":"transaction-12345","uniqueKey":"\\items.items.[INDEX].transaction_external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].transaction_external_identifier","typeLabel":"string | null"},"creator":{"oneOf":[{"type":"object","title":"Creator","description":"The user that created this resource","required":["id","name","email_address"],"example":{"email_address":"jhon.doe@gr4vy.com","id":"07e70d14-a0c0-4ff5-bd4a-509959af0e4d","name":"Jhon Doe"},"properties":{"id":{"type":"string","format":"uuid","title":"Id","isRequired":true,"uniqueKey":"\\items.items.[INDEX].creator.oneOf.0.id","typeLabel":"string\u003cuuid>"},"name":{"type":"string","title":"Name","isRequired":true,"uniqueKey":"\\items.items.[INDEX].creator.oneOf.0.name","typeLabel":"string"},"email_address":{"type":"string","title":"Email Address","isRequired":true,"uniqueKey":"\\items.items.[INDEX].creator.oneOf.0.email_address","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].creator.oneOf.0","typeLabel":"Creator · object"},{"type":"null","description":"The user that created this resource","example":{"email_address":"jhon.doe@gr4vy.com","id":"07e70d14-a0c0-4ff5-bd4a-509959af0e4d","name":"Jhon Doe"},"uniqueKey":"\\items.items.[INDEX].creator.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].creator","typeLabel":"Creator · object | null"},"error_code":{"oneOf":[{"type":"string","title":"Error Code","description":"The standardized error code set by Gr4vy.","example":"service_error","uniqueKey":"\\items.items.[INDEX].error_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Error Code","description":"The standardized error code set by Gr4vy.","example":"service_error","uniqueKey":"\\items.items.[INDEX].error_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].error_code","typeLabel":"string | null"},"raw_response_code":{"oneOf":[{"type":"string","title":"Raw Response Code","description":"This is the response code received from the payment service. This can be set to any value and is not standardized across different payment services.","example":"E104","uniqueKey":"\\items.items.[INDEX].raw_response_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Raw Response Code","description":"This is the response code received from the payment service. This can be set to any value and is not standardized across different payment services.","example":"E104","uniqueKey":"\\items.items.[INDEX].raw_response_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].raw_response_code","typeLabel":"string | null"},"raw_response_description":{"oneOf":[{"type":"string","title":"Raw Response Description","description":" This is the response description received from the payment service. This can be set to any value and is not standardized across different payment services.","example":"Missing redirect URL","uniqueKey":"\\items.items.[INDEX].raw_response_description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Raw Response Description","description":" This is the response description received from the payment service. This can be set to any value and is not standardized across different payment services.","example":"Missing redirect URL","uniqueKey":"\\items.items.[INDEX].raw_response_description.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].raw_response_description","typeLabel":"string | null"},"settled_currency":{"oneOf":[{"type":"string","title":"Settled Currency","description":"The ISO 4217 currency code of this refund's settlement.","pattern":"^[A-Z]{3}$","example":"USD","uniqueKey":"\\items.items.[INDEX].settled_currency.oneOf.0","typeLabel":"string"},{"type":"null","title":"Settled Currency","description":"The ISO 4217 currency code of this refund's settlement.","example":"USD","uniqueKey":"\\items.items.[INDEX].settled_currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].settled_currency","typeLabel":"string | null"},"settled_amount":{"type":"integer","title":"Settled Amount","description":"The net amount settled for this refund, in the smallest currency unit (for example, cents or pence).","default":0,"examples":[1100],"uniqueKey":"\\items.items.[INDEX].settled_amount","typeLabel":"integer"}},"additionalProperties":false,"type":"object","required":["id","transaction_id","status","currency","amount","target_type","reconciliation_id","transaction_reconciliation_id","created_at","updated_at","settled"],"title":"Refund","uniqueKey":"\\items.items.[INDEX]","typeLabel":"Refund · object"},"type":"array","title":"Items","description":"A list of items returned for this request.","isRequired":true,"uniqueKey":"\\items","typeLabel":"Refund · object[]"},"limit":{"type":"integer","maximum":100,"minimum":1,"title":"Limit","description":"The number of items for this page.","default":20,"examples":[20],"uniqueKey":"limit","typeLabel":"integer"},"next_cursor":{"oneOf":[{"type":"string","title":"Next Cursor","description":"The cursor pointing at the next page of items.","maxLength":1000,"minLength":1,"example":"ZXhhbXBsZTE","uniqueKey":"next_cursor.oneOf.0","typeLabel":"string"},{"type":"null","title":"Next Cursor","description":"The cursor pointing at the next page of items.","example":"ZXhhbXBsZTE","uniqueKey":"next_cursor.oneOf.1","typeLabel":"null"}],"uniqueKey":"next_cursor","typeLabel":"string | null"},"previous_cursor":{"oneOf":[{"type":"string","title":"Previous Cursor","description":"The cursor pointing at the previous page of items.","maxLength":1000,"minLength":1,"example":"Xkjss7asS","uniqueKey":"previous_cursor.oneOf.0","typeLabel":"string"},{"type":"null","title":"Previous Cursor","description":"The cursor pointing at the previous page of items.","example":"Xkjss7asS","uniqueKey":"previous_cursor.oneOf.1","typeLabel":"null"}],"uniqueKey":"previous_cursor","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["items"],"title":"Refunds","uniqueKey":"","typeLabel":"Refunds · object"},"examples":{"Example":{"title":"Example","value":{"items":[{"id":"6a1d4e46-14ed-4fe1-a45f-eff4e025d211","transaction_id":"7099948d-7286-47e4-aad8-b68f7eb44591","status":"succeeded","currency":"EUR","amount":1299,"target_type":"payment-method","reconciliation_id":"7jZXl4gBUNl0CnaLEnfXbt","transaction_reconciliation_id":"aLEnfXbt7jZXl4gBUNl0Cn","created_at":"2013-07-16T19:23:00.000+00:00","updated_at":"2013-07-16T19:23:00.000+00:00","settled":true,"type":"refund","payment_service_refund_id":"refund_xYqd43gySMtori","reason":"Refund due to user request.","target_id":"07e70d14-a0c0-4ff5-bd4a-509959af0e4d","external_identifier":"refund-12345","transaction_external_identifier":"transaction-12345","creator":{"email_address":"jhon.doe@gr4vy.com","id":"07e70d14-a0c0-4ff5-bd4a-509959af0e4d","name":"Jhon Doe"},"error_code":"service_error","raw_response_code":"E104","raw_response_description":"Missing redirect URL","settled_currency":"USD","settled_amount":1100}],"limit":20,"next_cursor":"ZXhhbXBsZTE","previous_cursor":"Xkjss7asS"}}},"exampleType":"generated"}},"exampleType":"generated"},"09711406-d3cb-49fb-9789-b5a54161a086":{"description":"The request was invalid.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_request`","default":"bad_request","examples":["bad_request"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `400`.","default":400,"examples":[400],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error400","uniqueKey":"","typeLabel":"Error400 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_request","status":400,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"4faacc07-eaf2-4516-9dc1-6372eca54d4f":{"description":"The request was unauthorized.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `unauthorized`","default":"unauthorized","examples":["unauthorized"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `401`.","default":401,"examples":[401],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"No valid API authentication found","examples":["No valid API authentication found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error401","uniqueKey":"","typeLabel":"Error401 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"unauthorized","status":401,"message":"No valid API authentication found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"b5d1a565-0e85-46ee-9174-5f9a37fa6dfa":{"description":"The credentials were invalid or the caller did not have permission to act on the resource.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `forbidden`","default":"forbidden","examples":["forbidden"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `403`.","default":403,"examples":[403],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error403","uniqueKey":"","typeLabel":"Error403 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"forbidden","status":403,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"d3db5bf2-fe33-4f4f-bd2a-2ec4d671f4cd":{"description":"The resource was not found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `not_found`","default":"not_found","examples":["not_found"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `404`.","default":404,"examples":[404],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"The resource could not be found","examples":["The resource could not be found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error404","uniqueKey":"","typeLabel":"Error404 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"not_found","status":404,"message":"The resource could not be found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"eef97b9e-3764-4ec6-b3ca-907c18e0ccaa":{"description":"The request method was not allowed.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `method_not_allowed`","default":"method_not_allowed","examples":["method_not_allowed"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `405`.","default":405,"examples":[405],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Method Not Allowed","examples":["Method Not Allowed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error405","uniqueKey":"","typeLabel":"Error405 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"method_not_allowed","status":405,"message":"Method Not Allowed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"92cd0330-c276-4965-aa09-a2745461671c":{"description":"A duplicate record was found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `duplicate_record`","default":"duplicate_record","examples":["duplicate_record"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `409`.","default":409,"examples":[409],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"},"resource_id":{"oneOf":[{"type":"string","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"resource_id","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","title":"Error409","uniqueKey":"","typeLabel":"Error409 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"duplicate_record","status":409,"message":"Request failed validation","details":[],"resource_id":"cdc70639-cb9c-4222-a73f-b8ce39f7821b"}}},"exampleType":"generated"}},"exampleType":"generated"},"94554657-bbe5-46b3-b6d7-4116cab0585b":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"699aa138-95ea-40f0-9350-0502376140d9":{"description":"The request was too early.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_early`","default":"too_early","examples":["too_early"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `425`.","default":425,"examples":[425],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error425","uniqueKey":"","typeLabel":"Error425 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_early","status":425,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"32d07823-b6d7-4fc9-91cf-4f7ed68b83a7":{"description":"Too many requests were made.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_many_requests`","default":"too_many_requests","examples":["too_many_requests"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `429`.","default":429,"examples":[429],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error429","uniqueKey":"","typeLabel":"Error429 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_many_requests","status":429,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"3d25453d-2414-477f-916f-5cef1f8f9388":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `server_error`","default":"server_error","examples":["server_error"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `500`.","default":500,"examples":[500],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error500","uniqueKey":"","typeLabel":"Error500 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"server_error","status":500,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"0b0ebda0-53d2-4f6b-a0fe-9376bd460f5d":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_gateway`","default":"bad_gateway","examples":["bad_gateway"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `502`.","default":502,"examples":[502],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error502","uniqueKey":"","typeLabel":"Error502 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_gateway","status":502,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"4fc555da-44af-4488-90bc-3bfa11e637f1":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `gateway_timeout`","default":"gateway_timeout","examples":["gateway_timeout"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","default":504,"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error504","uniqueKey":"","typeLabel":"Error504 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"gateway_timeout","status":504,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"62c335af-efa4-4302-9a4d-17c3154581fa":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"228955a6-938a-4479-aef0-99d33c615a8d":{"url":"https://api.sandbox.{id}.gr4vy.app","x-speakeasy-server-id":"sandbox","variables":{"id":{"default":"example","description":"The subdomain for your Gr4vy instance."}}},"edefad13-c6d7-4491-8f9f-2da052551c7c":{"url":"https://api.{id}.gr4vy.app","x-speakeasy-server-id":"production","variables":{"id":{"default":"example","description":"The subdomain for your Gr4vy instance."}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.speakeasy.json"},"subdomain":"wpay","siteName":"Wpay","title":"List transaction refunds - Wpay","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-27T10:01:44.212Z","originalFileLocation":"reference/transactions/list-transaction-refunds.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List refunds for a transaction.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Wpay\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List transaction refunds - Wpay\">\u003cmeta data-mint-head property=\"og:description\" content=\"List refunds for a transaction.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Wpay\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://integration.wpay.com.au/reference/transactions/list-transaction-refunds\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://wpay.mintlify.app/_mintlify/api/og/v2?division=Refunds\u0026amp;title=List+transaction+refunds\u0026amp;description=List+refunds+for+a+transaction.\u0026amp;theme=c725fe7859339bba7622bfbd\u0026amp;signature=34da79560da7001dfacd102e4b7f00afd84f72d299ac70c4dd962d4185aba2ee\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List transaction refunds - Wpay\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List refunds for a transaction.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://wpay.mintlify.app/_mintlify/api/og/v2?division=Refunds\u0026amp;title=List+transaction+refunds\u0026amp;description=List+refunds+for+a+transaction.\u0026amp;theme=c725fe7859339bba7622bfbd\u0026amp;signature=34da79560da7001dfacd102e4b7f00afd84f72d299ac70c4dd962d4185aba2ee\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Wpay\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#00C9A5\">\u003clink data-mint-head rel=\"canonical\" href=\"https://integration.wpay.com.au/reference/transactions/list-transaction-refunds\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/transactions/list-transaction-refunds.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://integration.wpay.com.au/#organization\",\"name\":\"Wpay\",\"url\":\"https://integration.wpay.com.au\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/wpay/RxgiaZJ07iWfuxu1/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=RxgiaZJ07iWfuxu1\u0026q=85\u0026s=cb82dd605dec38c5aba3a686efd15768\"}},{\"@type\":\"WebSite\",\"@id\":\"https://integration.wpay.com.au#website\",\"name\":\"Wpay\",\"url\":\"https://integration.wpay.com.au\",\"publisher\":{\"@id\":\"https://integration.wpay.com.au/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://integration.wpay.com.au/reference/transactions/list-transaction-refunds#webpage\",\"url\":\"https://integration.wpay.com.au/reference/transactions/list-transaction-refunds\",\"name\":\"List transaction refunds\",\"description\":\"List refunds for a transaction.\",\"dateModified\":\"2026-07-27T10:01:44.212Z\",\"isPartOf\":{\"@id\":\"https://integration.wpay.com.au#website\"},\"breadcrumb\":{\"@id\":\"https://integration.wpay.com.au/reference/transactions/list-transaction-refunds#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://integration.wpay.com.au/reference/transactions/list-transaction-refunds#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Wpay\",\"item\":\"https://integration.wpay.com.au\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List transaction refunds\",\"item\":\"https://integration.wpay.com.au/reference/transactions/list-transaction-refunds\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://integration.wpay.com.au/reference/transactions/list-transaction-refunds#apireference\",\"headline\":\"List transaction refunds\",\"name\":\"List transaction refunds\",\"description\":\"List refunds for a transaction.\",\"url\":\"https://integration.wpay.com.au/reference/transactions/list-transaction-refunds\",\"mainEntityOfPage\":{\"@id\":\"https://integration.wpay.com.au/reference/transactions/list-transaction-refunds#webpage\"},\"dateModified\":\"2026-07-27T10:01:44.212Z\",\"publisher\":{\"@id\":\"https://integration.wpay.com.au/#organization\"},\"isPartOf\":{\"@id\":\"https://integration.wpay.com.au#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Wpay\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Wpay","nav":{"global":null,"tabs":[{"tab":"Build","icon":"credit-card","pages":[{"title":"Build","href":"/guides/get-started"}]},{"tab":"Connector Requirements","icon":"clipboard-check","hidden":true,"pages":[{"title":"Connector Requirements","href":"/partners/connector-requirements/overview"}]},{"tab":"External Apps","icon":"puzzle-piece","hidden":true,"pages":[{"title":"External Apps","href":"/partners/external-apps"}]},{"tab":"API Reference","icon":{"style":"light","name":"square-terminal"},"groups":[{"group":"Introduction","icon":"compass","pages":[{"title":"Authentication","mode":"wide","href":"/guides/api/authentication"},{"title":"API Compatibility","sidebarTitle":"Compatibility","href":"/guides/api/compatibility"},{"title":"Connectivity and TLS","sidebarTitle":"Connectivity","href":"/guides/api/connectivity"},{"sidebarTitle":"JWTs","title":"Authentication with JWTs","href":"/guides/api/jwts"},{"title":"Environments","href":"/guides/api/environments"},{"title":"Error handling","sidebarTitle":"Errors","mode":"wide","href":"/guides/api/errors"},{"title":"Idempotent requests","href":"/guides/api/idempotent-requests"},{"title":"IP address forwarding","href":"/guides/api/ip-address-forwarding"},{"title":"OpenAPI 3.1.0 Specification","sidebarTitle":"OpenAPI","href":"/guides/api/openapi"},{"title":"Pagination","href":"/guides/api/pagination"},{"sidebarTitle":"Prefer header","title":"Prefer header","href":"/guides/api/prefer-header"},{"title":"Rate limiting","href":"/guides/api/rate-limiting"},{"sidebarTitle":"Timeouts","title":"Handling transaction timeout","mode":"wide","href":"/guides/timeouts"},{"title":"Transaction error codes","sidebarTitle":"Error Codes","mode":"wide","href":"/guides/api/error-codes"}]},{"group":"Transactions","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /transactions","title":"List transactions","href":"/reference/transactions/list-transactions"},{"openapi":"openapi.speakeasy.json POST /transactions","title":"Create transaction","href":"/reference/transactions/new-transaction"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}","title":"Get transaction","href":"/reference/transactions/get-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/capture","title":"Capture transaction","href":"/reference/transactions/capture-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/void","title":"Void transaction","href":"/reference/transactions/void-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/authorization/increment","title":"Increment transaction authorization","href":"/reference/transactions/increment-transaction-authorization"},{"group":"More actions","pages":[{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/events","title":"List transaction events","href":"/reference/transactions/list-transaction-events"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/actions","title":"List transaction Flow rules","href":"/reference/transactions/list-transaction-actions"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/sync","title":"Sync transaction","href":"/reference/transactions/sync-transaction"},{"title":"Update a transaction","openapi":"openapi.speakeasy.json PUT /transactions/{transaction_id}","href":"/reference/transactions/update-transaction"},{"title":"Cancel a transaction","openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/cancel","href":"/reference/transactions/cancel-transaction"},{"title":"Get or update transaction session","sidebarTitle":"Get session","openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/session","href":"/reference/transactions/get-transaction-session"}]}]},{"group":"Buyers","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /buyers","title":"List all buyers","href":"/reference/buyers/list-buyers"},{"openapi":"openapi.speakeasy.json POST /buyers","title":"Add a buyer","href":"/reference/buyers/new-buyer"},{"openapi":"openapi.speakeasy.json GET /buyers/{buyer_id}","title":"Get a buyer","href":"/reference/buyers/get-buyer"},{"openapi":"openapi.speakeasy.json PUT /buyers/{buyer_id}","title":"Update a buyer","href":"/reference/buyers/update-buyer"},{"openapi":"openapi.speakeasy.json DELETE /buyers/{buyer_id}","title":"Delete a buyer","href":"/reference/buyers/delete-buyer"},{"group":"Shipping details","pages":[{"openapi":"openapi.speakeasy.json GET /buyers/{buyer_id}/shipping-details","title":"List a buyer's shipping details","href":"/reference/buyers/get-buyer-shipping-details"},{"openapi":"openapi.speakeasy.json POST /buyers/{buyer_id}/shipping-details","title":"Add buyer shipping details","href":"/reference/buyers/new-buyer-shipping-detail"},{"openapi":"openapi.speakeasy.json PUT /buyers/{buyer_id}/shipping-details/{shipping_details_id}","title":"Update a buyer's shipping details","href":"/reference/buyers/update-buyer-shipping-detail"},{"openapi":"openapi.speakeasy.json DELETE /buyers/{buyer_id}/shipping-details/{shipping_details_id}","title":"Delete a buyer's shipping details","href":"/reference/buyers/delete-buyer-shipping-detail"}]}]},{"group":"Checkout Sessions","icon":"code","pages":[{"openapi":"openapi.speakeasy.json POST /checkout/sessions","title":"Create checkout session","href":"/reference/checkout-sessions/new-checkout-session"},{"openapi":"openapi.speakeasy.json GET /checkout/sessions/{checkout_session_id}","title":null,"href":"/reference/checkout-sessions/get-checkout-session"},{"openapi":"openapi.speakeasy.json PUT /checkout/sessions/{checkout_session_id}","title":null,"href":"/reference/checkout-sessions/update-checkout-session"},{"openapi":"openapi.speakeasy.json DELETE /checkout/sessions/{checkout_session_id}","title":null,"href":"/reference/checkout-sessions/delete-checkout-session"},{"openapi":"openapi.speakeasy.json PUT /checkout/sessions/{checkout_session_id}/fields","sidebarTitle":"Update session fields","title":null,"href":"/reference/checkout-sessions/update-checkout-session-fields"}]},{"group":"Payment links","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /payment-links","title":"List all payment links","href":"/reference/payment-links/list-payment-links"},{"openapi":"openapi.speakeasy.json POST /payment-links","title":"Add a payment link","href":"/reference/payment-links/new-payment-link"},{"openapi":"openapi.speakeasy.json GET /payment-links/{payment_link_id}","title":"Get payment link","href":"/reference/payment-links/get-payment-link"},{"openapi":"openapi.speakeasy.json POST /payment-links/{payment_link_id}/expire","title":"Expire a payment link","href":"/reference/payment-links/expire-payment-link"}]},{"group":"Payment options","icon":"code","pages":[{"openapi":"openapi.speakeasy.json POST /payment-options","title":"List payment options","description":"List the payment options available at checkout. filtering by country, currency, and additional fields passed to Flow rules.","href":"/reference/payment-options/list-payment-options"}]},{"group":"Refunds","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/refunds","title":"List transaction refunds","href":"/reference/transactions/list-transaction-refunds"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/refunds","title":"Create transaction refund","description":"Create a refund for a transaction.","href":"/reference/transactions/refund-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/refunds/all","sidebarTitle":"Refund all instruments","title":"Create batch transaction refund","href":"/reference/transactions/refund-all"},{"sidebarTitle":"Get refund","title":"Get refund","openapi":"openapi.speakeasy.json GET /refunds/{refund_id}","href":"/reference/transactions/get-refund"}]},{"group":"Sessions","icon":"code","pages":[{"openapi":"openapi.speakeasy.json POST /payment-service-definitions/{payment_service_definition_id}/sessions","sidebarTitle":"Get session","title":"Create a session for a payment service definition","href":"/reference/payment-service-sessions/create-payment-service-session"},{"openapi":"openapi.speakeasy.json POST /payment-services/{payment_service_id}/sessions","sidebarTitle":"Get session by ID","title":"Create a session for a payment service definition","href":"/reference/payment-service-sessions/create-payment-service-session-by-id"}]},{"group":"Instruments","icon":"code","pages":[{"group":"Card schemes","pages":[{"openapi":"openapi.speakeasy.json GET /card-scheme-definitions","title":"List card scheme definitions","href":"/reference/card-schemes/list-card-scheme-definitions"}]},{"group":"Card details","pages":[{"openapi":"openapi.speakeasy.json GET /card-details","title":"Get card details","href":"/reference/card-details/get-card-details"}]},{"group":"Digital wallets","pages":[{"openapi":"openapi.speakeasy.json POST /digital-wallets/apple/session","title":"Create a Apple Pay session","href":"/reference/digital-wallets/get-apple-pay-session"},{"openapi":"openapi.speakeasy.json POST /digital-wallets/google/session","title":"Create a Google Pay session","href":"/reference/digital-wallets/get-google-pay-session"},{"openapi":"openapi.speakeasy.json POST /digital-wallets/click-to-pay/session","title":"Create a Click to Pay session","href":"/reference/digital-wallets/get-click-to-pay-session"}]},{"group":"Gift cards","pages":[{"openapi":"openapi.speakeasy.json GET /buyers/gift-cards","title":"List gift cards for a buyer","href":"/reference/gift-cards/list-buyer-gift-cards"},{"openapi":"openapi.speakeasy.json GET /gift-cards","title":"List gift cards","href":"/reference/gift-cards/list-gift-cards"},{"openapi":"openapi.speakeasy.json POST /gift-cards/balances","title":"Verify and get gift card balances","sidebarTitle":"Verify \u0026 get balance","href":"/reference/gift-cards/list-gift-card-balances"},{"openapi":"openapi.speakeasy.json POST /gift-cards","title":"Create gift card","href":"/reference/gift-cards/new-gift-card"},{"openapi":"openapi.speakeasy.json GET /gift-cards/{gift_card_id}","title":"Get gift card","href":"/reference/gift-cards/get-gift-card"},{"openapi":"openapi.speakeasy.json DELETE /gift-cards/{gift_card_id}","title":"Delete a gift card","href":"/reference/gift-cards/delete-gift-card"},{"openapi":"openapi.speakeasy.json POST /gift-cards/issuances","title":"Issue a gift card","href":"/reference/gift-cards/issue-gift-card"},{"openapi":"openapi.speakeasy.json POST /gift-cards/activations","title":"Activate a gift card","href":"/reference/gift-cards/activate-gift-card"}]},{"group":"Payment methods","pages":[{"openapi":"openapi.speakeasy.json GET /buyers/payment-methods","title":"List payment methods for a buyer","href":"/reference/payment-methods/list-buyer-payment-methods"},{"openapi":"openapi.speakeasy.json GET /payment-methods","title":"List all payment methods","href":"/reference/payment-methods/list-payment-methods"},{"openapi":"openapi.speakeasy.json POST /payment-methods","title":"Create payment method","href":"/reference/payment-methods/new-payment-method"},{"openapi":"openapi.speakeasy.json GET /payment-methods/{payment_method_id}","title":"Get payment method","href":"/reference/payment-methods/get-payment-method"},{"openapi":"openapi.speakeasy.json PUT /payment-methods/{payment_method_id}","title":"Update payment method","href":"/reference/payment-methods/update-payment-method"},{"openapi":"openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}","title":"Delete payment method","href":"/reference/payment-methods/delete-payment-method"}]},{"group":"Payment method definitions","pages":[{"openapi":"openapi.speakeasy.json GET /payment-method-definitions","title":"List payment method definitions","href":"/reference/payment-method-definitions/list-payment-method-definitions"}]}]},{"group":"Vault","icon":"code","pages":[{"group":"Account updater","pages":[{"openapi":"openapi.speakeasy.json POST /account-updater/jobs","sidebarTitle":"Create a job","title":"Create account updater job","href":"/reference/account-updater/new-account-updater-job"}]},{"group":"Network tokens","pages":[{"openapi":"openapi.speakeasy.json GET /payment-methods/{payment_method_id}/network-tokens","title":"List network tokens","href":"/reference/network-tokens/list-network-tokens"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens","title":"Provision network token","href":"/reference/network-tokens/provision-network-token"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/cryptogram","title":"Provision network token cryptogram","href":"/reference/network-tokens/get-network-token-cryptogram"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/suspend","title":"Suspend network token","href":"/reference/network-tokens/suspend-network-token"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/resume","title":"Resume network token","href":"/reference/network-tokens/resume-network-token"},{"openapi":"openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}/network-tokens/{network_token_id}","title":"Delete network token","href":"/reference/network-tokens/delete-network-token"}]},{"group":"Payment service tokens","pages":[{"openapi":"openapi.speakeasy.json GET /payment-methods/{payment_method_id}/payment-service-tokens","title":"List payment service tokens","href":"/reference/payment-service-tokens/list-payment-service-tokens"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/payment-service-tokens","title":"Create payment service token","href":"/reference/payment-service-tokens/provision-payment-service-token"},{"openapi":"openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}/payment-service-tokens/{payment_service_token_id}","title":"Delete payment service token","href":"/reference/payment-service-tokens/delete-payment-service-token"}]},{"group":"Vault Forward","pages":[{"openapi":"openapi.v1.json POST /vault-forward","title":"Forward PCI data","href":"/reference/vault-forwarding/make-vault-forward"}]},{"group":"Vault Forward endpoints","pages":[{"openapi":"openapi.v1.json GET /vault-forward/configs","sidebarTitle":"List endpoints","title":"List configured Vault Forward endpoints","href":"/reference/vault-forwarding/list-vault-forward-configs"},{"openapi":"openapi.v1.json GET /vault-forward/configs/{config_id}","sidebarTitle":"Get endpoint","title":"Get configured Vault Forward endpoints","href":"/reference/vault-forwarding/get-vault-forward-config"}]},{"group":"Vault Forward authentication","pages":[{"openapi":"openapi.v1.json GET /vault-forward/configs/{config_id}/authentications","sidebarTitle":"Get authentications","title":"List configured Vault Forward authentication methods","href":"/reference/vault-forwarding/list-vault-forward-authentications"},{"openapi":"openapi.v1.json GET /vault-forward/configs/{config_id}/authentications/{authentication_id}","sidebarTitle":"Get authentication","title":"Get Vault Forward authentication method","href":"/reference/vault-forwarding/get-vault-forward-authentication"},{"openapi":"openapi.v1.json POST /vault-forward/configs/{config_id}/authentications","sidebarTitle":"Add authentication","title":"Adds new Vault Forward authentication method","href":"/reference/vault-forwarding/add-vault-forward-authentication"},{"openapi":"openapi.v1.json PUT /vault-forward/configs/{config_id}/authentications/{authentication_id}","sidebarTitle":"Update authentication","title":"Update Vault Forward authentication method","href":"/reference/vault-forwarding/update-vault-forward-authentication"},{"openapi":"openapi.v1.json DELETE /vault-forward/configs/{config_id}/authentications/{authentication_id}","sidebarTitle":"Remove authentication","title":"Remove a Vault Forward authentication method","href":"/reference/vault-forwarding/delete-vault-forward-authentication"}]}]},{"group":"PSPs \u0026 Gateways","icon":"code","pages":[{"group":"All services","pages":[{"openapi":"openapi.v1.json GET /connections","title":"List connections","href":"/reference/connections/list-connections"},{"openapi":"openapi.speakeasy.json GET /connection-definitions","title":null,"href":"/reference/connections/list-connection-definitions"}]},{"group":"Payment services","pages":[{"openapi":"openapi.speakeasy.json GET /payment-service-definitions/{payment_service_definition_id}","sidebarTitle":"Get service definition","title":"Get a payment service definition","href":"/reference/payment-service-definitions/get-payment-service-definition"},{"openapi":"openapi.speakeasy.json GET /payment-services","title":"List payment services","href":"/reference/payment-services/list-payment-services"},{"openapi":"openapi.speakeasy.json POST /payment-services","title":"Configure a payment service","href":"/reference/payment-services/new-payment-service"},{"openapi":"openapi.speakeasy.json GET /payment-services/{payment_service_id}","title":"Get payment service","href":"/reference/payment-services/get-payment-service"},{"openapi":"openapi.speakeasy.json PUT /payment-services/{payment_service_id}","title":"Update a configured payment service","href":"/reference/payment-services/update-payment-service"},{"openapi":"openapi.speakeasy.json DELETE /payment-services/{payment_service_id}","title":"Delete a configured payment service","href":"/reference/payment-services/delete-payment-service"},{"openapi":"openapi.speakeasy.json POST /payment-services/verify","sidebarTitle":"Verify credentials","title":"Verify payment service credentials","href":"/reference/payment-services/verify-payment-service"}]},{"group":"Digital wallets","pages":[{"openapi":"openapi.speakeasy.json GET /digital-wallets","title":"List digital wallets","href":"/reference/digital-wallets/list-digital-wallets"},{"openapi":"openapi.speakeasy.json GET /digital-wallets/{digital_wallet_id}","title":"Get digital wallet","href":"/reference/digital-wallets/get-digital-wallet"},{"openapi":"openapi.speakeasy.json POST /digital-wallets","title":"Register digital wallet","href":"/reference/digital-wallets/register-digital-wallet"},{"openapi":"openapi.speakeasy.json PUT /digital-wallets/{digital_wallet_id}","title":"Update digital wallet","href":"/reference/digital-wallets/update-digital-wallet"},{"openapi":"openapi.speakeasy.json DELETE /digital-wallets/{digital_wallet_id}","title":"Delete digital wallet","href":"/reference/digital-wallets/deregister-digital-wallet"},{"group":"Domain registration","pages":[{"openapi":"openapi.speakeasy.json POST /digital-wallets/{digital_wallet_id}/domains","title":"Register a digital wallet domain","href":"/reference/digital-wallets/new-digital-wallet-domain"},{"openapi":"openapi.speakeasy.json DELETE /digital-wallets/{digital_wallet_id}/domains","title":"Remove a digital wallet domain","href":"/reference/digital-wallets/delete-digital-wallet-domain"}]},{"group":"Mobile Certificates (Apple Pay)","pages":[{"openapi":"openapi.v1.json GET /apple-pay-certificates","sidebarTitle":"List certificates","title":"List Apple Pay certificates","href":"/reference/digital-wallets/list-apple-pay-certificates"},{"openapi":"openapi.v1.json POST /apple-pay-certificates","sidebarTitle":"Create certificate","title":"New Apple Pay certificate","href":"/reference/digital-wallets/create-apple-pay-certificate"},{"openapi":"openapi.v1.json PUT /apple-pay-certificates/{apple_pay_certificate_id}","sidebarTitle":"Update certificate","title":"Update Apple Pay 
[...]
